#
# spec file for package qt3 (Version 3.3.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cups-devel cups-libs expat freetype2 freetype2-devel gcc-c++ libjpeg liblcms liblcms-devel libmng libmng-devel libpng-devel-packages libstdc++ libstdc++-devel mesa-devel-packages pkgconfig update-desktop-files yacc

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils cups-devel cups-libs expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool perl pkgconfig rpm update-desktop-files

Name:         qt3
URL:          http://www.trolltech.com/
License:      GPL, QPL
Group:        System/Libraries
Autoreqprov:  on
Summary:      A library for developing applications with graphical user interfaces
Version:      3.3.1
Release:      36.16
Provides:     qt_library_%version
%define x11_free -x11-free-
%define rversion %version
%if %suse_version > 910
%define enable_atk 1
%else
%define enable_atk 0
%endif
Source0:      qt%{x11_free}%rversion.tar.bz2
Source1:      build_script.sh
Source2:      qtconfig.desktop
Source3:      asian-qtrc
Source100:    qaccessible_unix.cpp
Patch0:       pre-3.3.2.diff
Patch1:       aliasing.diff
Patch2:       head.diff
Patch3:       fast-malloc.dif
Patch4:       qt3-never-strip.diff
Patch5:       external-libs.diff
Patch6:       0001-dnd_optimization.patch
Patch7:       0002-dnd_active_window_fix.patch
Patch8:       0007-qpixmap_constants.patch
Patch9:       0034-qclipboard_recursion_fix.patch
Patch10:      0037-dnd-timestamp-fix.patch
Patch11:      0038-dragobject-dont-prefer-unknown.patch
Patch12:      qtrc-path.diff
Patch13:      xcursors-cache-fix.patch
Patch14:      qapplication-xim-fix.diff
Patch15:      0039-qrichtext-fix-strike-out.patch
Patch16:      0040-wrongfontsizes-BR74460.diff
Patch17:      0041-fixmultiscriptfonts.diff
Patch18:      no-rpath.dif
Patch19:      shut-up.diff
Patch20:      0043-fix_expired_cookie_crash.diff
Patch21:      fix-GL-loading.diff
Patch22:      fix-xcursor.diff
Patch23:      fix-accessible.diff
Patch24:      fix-qfontdatabase-caching.diff
Patch25:      fix-qfontdatabase-chinese.diff
Patch26:      0048-qclipboard_fix_80072.patch
Patch27:      image-handling-fixes-from-3.3.3.diff
Patch28:      xpm-handling-fixes.diff
Patch29:      fix-gif-handler.diff
Patch100:     qt-3.3_accessibility.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Qt is a program library for developing applications with graphical user
interfaces. It allows you to rapidly develop professional programs. The
Qt library is available not only for Linux but for a great number of
Unices and even for Windows. Thus it is possible to write programs that
may be easily ported to those platforms.

You need a license for using Qt with a non-GPL application, which can
be acquired from sales@trolltech.com.

See /usr/share/doc/packages/qt3 for details about the new features of
the current Qt library!



Authors:
--------
    Troll Tech AS, Norway

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Requires:     freetype2-devel libmng-devel xdevel qt3 = %version 
%if %suse_version > 730
Requires:     libpng-devel c++_compiler make
%endif
%if %suse_version > 800
Requires:     zlib-devel
%endif
%if %suse_version > 820
Requires:     XFree86-Mesa-devel
%endif
%if %suse_version > 900
Requires:     freeglut-devel
%else 
Requires:     mesaglut-devel
%endif
%ifnarch x86_64 s390x sparc64 ppc64 mips64
Conflicts:    devel_libs-32bit
%endif
Group:        Development/Libraries/X11

%description devel
You need this package if you want to compile programs with Qt 3. It
contains the "Qt Crossplatform Development Kit 2". Under /usr/lib/qt3
you will find include files, documentation, precompiled examples, and a
tutorial for getting started with Qt.

You need a license for using Qt with a non-GPL application. A license
can be acquired at sales@trolltech.com.



Authors:
--------
    Troll Tech AS, Norway

%package devel-doc
Summary:      Qt 3 Development Kit
Provides:     qt3-devel-tutorial
Obsoletes:    qt3-devel-tutorial
Requires:     qt3-devel
Group:        Documentation/HTML

%description devel-doc
You need this package if you want to compile programs with Qt 3. It
contains the "Qt Crossplatform Development Kit 2". You will find
include files, documentation, precompiled examples, and a tutorial for
getting started with Qt in /usr/lib/qt3.



Authors:
--------
    Troll Tech AS, Norway

%define build_sub_dirs src plugins/src tools/designer/uilib/ tools/designer/uic tools/qtconfig tools/assistant/lib tools/assistant tutorial
%prep
%setup -q -n qt%{x11_free}%rversion
%patch
%patch1
%patch2
%if %suse_version < 901
%if %suse_version > 800
%ifarch %ix86 x86_64
%patch3
%endif
%endif
%endif
%if %suse_version > 800
%ifarch %ix86 x86_64
%patch4
%endif
%endif
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch22
%patch23
%patch24
%patch25
%patch26
%patch27
%patch28
%patch29
if [ %_lib = "lib" ]; then
sed 's,/lib64/,/lib/,' %PATCH21 | patch -p0
else
%patch21
fi
%if %enable_atk
%patch100
cp %SOURCE100 src/kernel/
%endif

%build
export VERSION=%suse_version
source %SOURCE1 %{version}
export WLIB=%_lib
export QTDIR=`pwd`
#
# call build from build_script.rpmrc for threaded Qt library
# only really needed tools will be builded here, all extra tools will be
# builded in qt3.spec
#
%if %enable_atk
OPTIONS=--accessibility=yes
%endif
call_configure -thread -shared -no-sql-mysql -no-sql-psql -no-sql-odbc -no-sql-sqlite $OPTIONS
for i in %build_sub_dirs ; do
 cd $i
 make %{?jobs:-j%jobs}
 cd -
done

%install
rm -rf $RPM_BUILD_ROOT
export VERSION=%suse_version
export WLIB=%_lib
export QTDIR=`pwd`
source %SOURCE1 %{version}
for i in %build_sub_dirs ; do
 cd $i
 make INSTALL_ROOT=$RPM_BUILD_ROOT install
 cd -
done
post_install $RPM_BUILD_ROOT/usr/lib/qt3/
%suse_update_desktop_file -i -u qtconfig Qt Settings
%suse_update_desktop_file -i assistant Qt Development Documentation
#
# copy additional files
#
install -m 0755 bin/qmake bin/moc ${RPM_BUILD_ROOT}/usr/lib/qt3/bin/
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/lib/qt3/translations/
install -m 0644 translations/*.qm ${RPM_BUILD_ROOT}/usr/lib/qt3/translations/
if [ %_lib = lib64 ]; then
 for i in $RPM_BUILD_ROOT/usr/lib/qt3/plugins/*/*.so; do
   mv "$i" "${i%.so}.lib64.so"
 done
fi
#
# move pkgconfig files
#
mkdir -p $RPM_BUILD_ROOT/%_libdir/pkgconfig
mv $RPM_BUILD_ROOT/usr/lib/qt3/%_lib/pkgconfig/*.pc \
   $RPM_BUILD_ROOT/%_libdir/pkgconfig
rmdir $RPM_BUILD_ROOT/usr/lib/qt3/%_lib/pkgconfig
#
# move docs in doc dir
#
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt3/
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/
ln -sf /usr/lib/qt3/doc/html ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt3/
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/
cp -a mkspecs/*    ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/
if [ %_lib == "lib64" ]; then
  ln -sf linux-g++-64 ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/default
else
  ln -sf linux-g++ ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/default
fi
install -m 0644 README* LICENSE* MANIFEST FAQ \
                ${RPM_BUILD_ROOT}/%{_docdir}/qt3/
#
# create links in ld.so.conf path
#
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_libdir}
ln -sf ../lib/qt3/%{_lib}/libqt-mt.so.3 ${RPM_BUILD_ROOT}/%{_libdir}/libqt-mt.so.3
ln -sf ../lib/qt3/%{_lib}/libqui.so.1   ${RPM_BUILD_ROOT}/%{_libdir}/libqui.so.1
[ "lib" != "%{_lib}" ] && \
   ln -sf ../lib/qt3 ${RPM_BUILD_ROOT}/%{_libdir}/qt3
install -d -m 0755 ${RPM_BUILD_ROOT}/usr/bin/
ln -sf ../lib/qt3/bin/moc         ${RPM_BUILD_ROOT}/usr/bin/moc
ln -sf ../lib/qt3/bin/uic         ${RPM_BUILD_ROOT}/usr/bin/uic
ln -sf ../lib/qt3/bin/qmake       ${RPM_BUILD_ROOT}/usr/bin/qmake
ln -sf ../lib/qt3/bin/qtconfig    ${RPM_BUILD_ROOT}/usr/bin/qtconfig
ln -sf ../lib/qt3/bin/assistant    ${RPM_BUILD_ROOT}/usr/bin/assistant
#
# default qt settings
#
mkdir -p ${RPM_BUILD_ROOT}/etc/X11
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/qt3/etc/
ln -sf /etc/X11/ ${RPM_BUILD_ROOT}/usr/lib/qt3/etc/settings
install -m 0644 %SOURCE3 ${RPM_BUILD_ROOT}/etc/X11/qtrc
cat >> ${RPM_BUILD_ROOT}/etc/X11/qtrc << EOF
[3.3]
libraryPath=/opt/kde3/lib64/kde3/plugins/:/opt/kde3/lib/kde3/plugins/
[General]
libraryPath=/opt/kde3/lib64/kde3/plugins/:/opt/kde3/lib/kde3/plugins
font=Sans Serif,10,
resolveSymlinks=false
enableXft=true
style=Platinum
XIMInputStyle=Over The Spot
EOF
%if %suse_version <= 730
  echo "useXft=false" >> ${RPM_BUILD_ROOT}/etc/X11/qtrc
%else
  echo "useXft=true"  >> ${RPM_BUILD_ROOT}/etc/X11/qtrc
%endif
#
# clean broken links
#
if [ %_lib == "lib64" ]; then
 rm ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/linux-g++-64/linux-g++-64
else
 rm ${RPM_BUILD_ROOT}/usr/lib/qt3/mkspecs/linux-g++/linux-g++
fi

%pre
if test -L usr/lib/qt3; then
  rm usr/lib/qt3
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%run_ldconfig
if ! grep -q '^\[3.3\]' etc/X11/qtrc ; then
echo ""      >> etc/X11/qtrc
echo "[3.3]" >> etc/X11/qtrc
echo "libraryPath=/opt/kde3/lib64/kde3/plugins/:/opt/kde3/lib/kde3/plugins/" >> etc/X11/qtrc
fi

%postun
%run_ldconfig

%files
%defattr(-,root,root,755)
%dir %{_docdir}/qt3
%dir /usr/lib/qt3/translations
%{_docdir}/qt3/FAQ
%{_docdir}/qt3/LICENSE.*
%{_docdir}/qt3/MANIFEST
%{_docdir}/qt3/README*
%dir /usr/lib/qt3
%dir /usr/lib/qt3/bin
%dir /usr/lib/qt3/%{_lib}
%{_libdir}/libqt-mt.so.*
%{_libdir}/libqui.so.*
/usr/bin/qtconfig
/usr/lib/qt3/bin/qtconfig
/usr/lib/qt3/%{_lib}/libqt-mt.so.*
/usr/lib/qt3/%{_lib}/libqui.so.*
%dir /usr/lib/qt3/etc
/usr/lib/qt3/etc/settings
/usr/lib/qt3/plugins
%lang(ar) /usr/lib/qt3/translations/qt_ar.qm
%lang(cs) /usr/lib/qt3/translations/qt_cs.qm
%lang(de) /usr/lib/qt3/translations/qt_de.qm
%lang(fr) /usr/lib/qt3/translations/qt_fr.qm
%lang(iw) /usr/lib/qt3/translations/qt_iw.qm
%lang(ru) /usr/lib/qt3/translations/qt_ru.qm
%lang(sk) /usr/lib/qt3/translations/qt_sk.qm
%config(noreplace) /etc/X11/qtrc
%ifarch s390x sparc64 x86_64 ppc64 mips64
%dir %{_libdir}/qt3
%endif
%if %suse_version > 820
/usr/share/applications/qtconfig.desktop
%endif

%files devel
%defattr(-,root,root,755)
/usr/bin/moc
/usr/bin/qmake
/usr/bin/uic
/usr/lib/qt3/bin/moc
/usr/lib/qt3/bin/qmake
/usr/lib/qt3/bin/uic
/usr/lib/qt3/include
/usr/lib/qt3/%{_lib}/libqt-mt.la
/usr/lib/qt3/%{_lib}/libqt-mt.so
/usr/lib/qt3/%{_lib}/libqt-mt.prl
/usr/lib/qt3/%{_lib}/libqui.so
/usr/lib/qt3/%{_lib}/libqui.prl
/usr/lib/qt3/mkspecs
/%_libdir/pkgconfig/qt-mt.pc

%files devel-doc
%defattr(-,root,root)
%dir /usr/lib/qt3/doc
/usr/bin/assistant
/usr/lib/qt3/bin/assistant
/usr/lib/qt3/%_lib/libqassistantclient.*
/usr/lib/qt3/translations/assistant_*.qm
/usr/share/applications/assistant.desktop
%doc /usr/lib/qt3/doc/html
%{_docdir}/qt3/html

%changelog -n qt3
* Thu Aug 12 2004 - adrian@suse.de
- fixes for handling of broken images (#43356)
* Tue Jun 01 2004 - adrian@suse.de
- fix GL support with NVidia driver (#41118)
  (explicit check for tls libGL)
* Fri May 21 2004 - adrian@suse.de
- fix application freezes when selecting text (b.k.o #80072)
  (patch from Lubos)
* Fri May 14 2004 - coolo@suse.de
- Fixing font handling for chinese sub scripts (#39454, #36734)
* Tue Apr 27 2004 - adrian@suse.de
- do even apply patch16
* Fri Apr 23 2004 - adrian@suse.de
- disable atk support for released distributions
* Thu Apr 22 2004 - coolo@suse.de
- another try to fix wrong font caching also for japanese/chinese
* Tue Apr 20 2004 - coolo@suse.de
- apply fix for wrong font caching (#39175)
* Fri Apr 16 2004 - adrian@suse.de
- apply fix for opentype aliasing issues
* Tue Apr 13 2004 - adrian@suse.de
- fix OpenGL support, if no -devel package is installed (#38857)
- fix xcursor support
- add current snapshot of Qt-ATK bridge patch
  (disabled as long USE_QACCESSIBLE enviroment variable isn't set)
* Sat Apr 03 2004 - adrian@suse.de
- apply 0043-fix_expired_cookie_crash.diff from qt-copy(by Dirk)
  * qt based applications can crash in ssh sessions with new
  openssh (#38185)
* Wed Mar 31 2004 - mfabian@suse.de
- Bugzilla #37720:
  add font substitutions for "SUSE*" fonts to default qtrc.
* Thu Mar 25 2004 - coolo@suse.de
- fix for richtext tags (in knotes)
- fix for fonts with multiple scripts (#36583)
- fix for custom resolutions
* Tue Mar 16 2004 - adrian@suse.de
- fix for command line handling (XIM in QApplication)(#35881)
- fix double packaging of qassistant translations
* Mon Mar 15 2004 - adrian@suse.de
- define a default Font again. (Sans Serif with 10points)
  (#36014)
* Wed Mar 10 2004 - adrian@suse.de
- fix for xcursor cache hangling (by Lubos)
- move assistant to -devel-doc package
* Thu Mar 04 2004 - adrian@suse.de
- apply fix for not found monospaced fonts without Euro glyph
  (Patch by Lars Knoll)
* Thu Mar 04 2004 - adrian@suse.de
- apply different bugfix and speed enhancement patches from qt-copy
  as recommended by Lubos
  * 0001: DnD optimisation
  * 0002: Active Window Fix
  * 0007: MITSHM extension support for QPixmap<>Qimage conversation
  * 0037: dnd timestamp fix
  * 0038: dragobject prefer fix
* Mon Mar 01 2004 - adrian@suse.de
- update to final 3.3.1 version
- disable fast-malloc for > 9.0, nptl does work good enough
- add qclipboard-recursion-fix from Lubos
- further 64bit aliasing fixes
* Mon Feb 16 2004 - adrian@suse.de
- update to current snapshot (3.3.1-snapshot-20040216)
- build opentype with -fno-strict-aliasing
* Mon Feb 09 2004 - adrian@suse.de
- fix non-latin1 QString handling
  (patch from Roman Stepanov)
* Wed Feb 04 2004 - adrian@suse.de
- update to version 3.3.0 final
- disable 3rdparty source and use system libraries
* Thu Jan 29 2004 - adrian@suse.de
- update to snapshot 20040129
- use original qstring again, kprinter got fixed
* Sun Jan 25 2004 - adrian@suse.de
- update to snapshot 20040125
- revert qstring changes
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 20040113
* Mon Dec 29 2003 - adrian@suse.de
- update to snapshot from 20031229 to get KDE compiling again
- remove upstream included translation files
- cleanup stuff not anymore needed
- do not build sqlite plugin with (broken) sqlite sources from qt
  tar ball anymore
* Thu Dec 11 2003 - adrian@suse.de
- update to version 3.3 beta 1
  * solves the remaining issues with dlopen GL
* Tue Dec 09 2003 - adrian@suse.de
- add KDE plugin path for qt 3.3
* Thu Dec 04 2003 - adrian@suse.de
- update to snapshot 20031204
- do not link against GL libs anymore, but still support GL via dlopen
  apps and libs beside libbqt* are still linked against GL for now
- build fix for qt3-extensions
* Tue Dec 02 2003 - adrian@suse.de
- update to current 3.3 snapshot ( 20031202 - pre beta 1)
  * obsoletes several patches
  * IPv6 support
- temporary disabled PostgreSQL support
- add SQLite support
* Fri Nov 21 2003 - adrian@suse.de
- drop not applyed font_fixes patch and add the old Xft2 fixes
  again, to support displays without Render extension.
* Fri Nov 14 2003 - adrian@suse.de
- update to version 3.2.3 and usual patch cleanup
* Thu Oct 23 2003 - adrian@suse.de
- build without -mminimal-toc on ppc64
- apply crash fix from TT for some fonts in XLFD mode
* Thu Oct 16 2003 - adrian@suse.de
- update to version 3.2.2
  * font fixes patch is not applied intentionaly, for testing
  plain qt behaviour for now.
* Thu Oct 02 2003 - adrian@suse.de
- require freeglut-devel, instead of mesaglut-devel for > 9.0
* Tue Sep 30 2003 - coolo@suse.de
- using the right tool to compile translation files
* Thu Sep 25 2003 - adrian@suse.de
- update fontconfig patch again, fixes multiple listing of fonts
- do not complain anymore about not matching plugin
* Sun Sep 21 2003 - adrian@suse.de
- prefer Nimbus fonts, instead of using asian fonts, if possible
  (the asian fonts have some broken latin chars)
* Sun Sep 21 2003 - adrian@suse.de
- install html docu to the same place as on 8.2, to solve
  update problems (#31507). (install dir and symlink was
  swapped for unknown reason)
* Fri Sep 19 2003 - adrian@suse.de
- memory leak fix from Lars in QTextEngine
* Thu Sep 18 2003 - adrian@suse.de
- updated patches from Lars
  * fixing Unicode families and foundaries issues
  * printing issues
- clean up unused patches
* Wed Sep 17 2003 - adrian@suse.de
- a bit more silence .. QPixmap before QApplication warning is away
- new asian font mappings from mfabian
* Mon Sep 15 2003 - adrian@suse.de
- new font fixes from Lars, the default size problem should be away
- fix build for non-Xft2 distibutions
* Thu Sep 11 2003 - adrian@suse.de
- silence on lib64 systems with 32bit plugins installed (#30559)
- ensure to have a [3.2] section in old qtrc files
* Mon Sep 08 2003 - coolo@suse.de
- apply fix from TT to fix konsole + setRawName
* Thu Sep 04 2003 - adrian@suse.de
- add always lib and lib64 kde plugin path to qtrc
* Wed Sep 03 2003 - adrian@suse.de
- apply fix from TT: "don't generate bogus mouse move events."
- qt3-devel requires XFree86-Mesa-devel
* Tue Sep 02 2003 - adrian@suse.de
- add slovak translation from Stanislav Visnovsky
- add czech translation from Klara Cihlarova
* Tue Sep 02 2003 - adrian@suse.de
- add asian mappings from 8.2 to qtrc again
* Mon Sep 01 2003 - meissner@suse.de
- Don't do readlink checks for set*id programs (will break
  in TLS startup sequence of glibc), just fall back to old
  malloc. #29530
* Mon Sep 01 2003 - adrian@suse.de
- apply qlineedit fix from TT
* Mon Sep 01 2003 - adrian@suse.de
- qtconfig menu entry becomes unimportant
* Sun Aug 31 2003 - adrian@suse.de
- generate .la file again
* Fri Aug 29 2003 - adrian@suse.de
- use newer font_fixes patch from Lars
- enforce usage of Xft2 even on non-Xrender displays
- revert qclipboard changes to 3.1.2 code
* Wed Aug 27 2003 - adrian@suse.de
- use official 3.2.1 tar ball instead of 3.2.0+patch
* Tue Aug 26 2003 - adrian@suse.de
- new _big_ fix from Lars for fixing the remaining font issues
* Sun Aug 24 2003 - adrian@suse.de
- apply fix from Lars for the foundary font problem, when
  using pixmap fonts via Xft2. This makes the freetype2
  foundary-family patch obsolete from qt view.
* Sat Aug 23 2003 - adrian@suse.de
- apply 3.2.1 patch, until the official tar ball arrives
* Sat Aug 16 2003 - adrian@suse.de
- justify Category of qtconfig
* Fri Aug 01 2003 - adrian@suse.de
- add desktop file for qtconfig
* Wed Jul 23 2003 - adrian@suse.de
- update to version 3.2.0 final
* Thu Jul 17 2003 - adrian@suse.de
- fix .la files after build
* Tue Jul 15 2003 - adrian@suse.de
- update to 3.2.0 beta 2
- remove obsolete patches
* Sun Jun 15 2003 - coolo@suse.de
- never strip explicitly
- always build with -release to avoid debug output even with -g
* Thu Jun 12 2003 - coolo@suse.de
- move the html docu into docdir and put the link in lib
- package directories
- fix directory permissions
* Fri May 30 2003 - adrian@suse.de
- fix file conflicts
* Mon May 19 2003 - adrian@suse.de
- revert source incompatibility to 3.1.x in qhbox constructor
* Sun May 18 2003 - adrian@suse.de
- update to version 3.2 beta 1
- big patch clean up
- use largefile support api for > 8.2
* Thu Apr 10 2003 - coolo@suse.de
- fixing long font names as returned by font-config
* Wed Mar 26 2003 - adrian@suse.de
- workaround rpm bug on 7.3-ppc
* Mon Mar 24 2003 - adrian@suse.de
- fix build on SuSE < 8.1
* Fri Mar 21 2003 - adrian@suse.de
- update to version 3.1.2 and remove obsolete patches
* Tue Mar 11 2003 - coolo@suse.de
- fixing the fix
* Tue Mar 11 2003 - coolo@suse.de
- applied patch by TT to fix kmail folder selection
  (#24519 - also known as kde bug #48888)
* Fri Mar 07 2003 - adrian@suse.de
- do not use XListFonts, if X server supports Xft on >8.1 (Xft2)
* Fri Feb 28 2003 - adrian@suse.de
- fast malloc is back
  (still 20%% with glibc 2.3 without spinlock'ed-malloc)
- extend blacklist
- use fast malloc also on hammer
* Wed Feb 26 2003 - adrian@suse.de
- add [3.1] plugin path
- add fix for mouse cursor bug over ssh
* Mon Feb 24 2003 - adrian@suse.de
- use correct kde plugin path on lib64 systems
* Mon Feb 03 2003 - adrian@suse.de
- fix missing symbols in libqt*
* Thu Jan 30 2003 - adrian@suse.de
- fix %%pre script
* Sun Jan 26 2003 - adrian@suse.de
- prefix=/usr/lib/qt3
  (third party apps installing translations into $QTDIR now)
- modify qdesktopwidget resize patch to be BC with Qt 3.2
- comment out non-official api extensions
- remove private headers tar ball again
  (qsa beta2 contains them)
- fix qtrc enviroment patch
- hardcode qt settings dir to /etc/X11 (no need for $QTDIR/etc/settings anymore)
- enable all designer plugins
* Thu Jan 23 2003 - adrian@suse.de
- add xrandr extension from Qt 3.2
- add resize event to qdesktopwidget (patch from Lubos)
- compile codecs as plugins
* Tue Jan 21 2003 - adrian@suse.de
- use fast malloc only on %%ix86
* Thu Jan 16 2003 - adrian@suse.de
- include qt default translations
* Fri Jan 10 2003 - adrian@suse.de
- hppa is parisc
* Thu Jan 09 2003 - adrian@suse.de
- fix some more qmake.conf entries
  (esp. pathes to lib64 directories and flags based on $RPM_OPT_FLAGS)
* Tue Jan 07 2003 - adrian@suse.de
- use -ffunction-sections on hppa
* Thu Jan 02 2003 - adrian@suse.de
- fix build ( patch -p1 -> -p0 )
* Fri Dec 27 2002 - adrian@suse.de
- several small changes/fixes/workarounds to be able to compile qsa
  (they will be changed in 3.1.2)
* Tue Dec 17 2002 - adrian@suse.de
- update to version 3.1.1 and cleanup patches
- apply Xft speed-up patch from dfaure
* Wed Dec 04 2002 - adrian@suse.de
- drop fast-malloc, not needed since glibc 2.3
* Thu Nov 28 2002 - adrian@suse.de
- add qprinter fix from Lars
* Wed Nov 27 2002 - ro@suse.de
- added expat to neededforbuild
* Sat Nov 23 2002 - adrian@suse.de
- use Xft2 from XFree package now for > SuSE 8.1
  (experimental fontconfig package is dropped)
- build qt3-non-mt with extra spec file now
- fix korean [Font Substitutions] (#19575)
- fix broken qmake debug defaults (#21891)
- fix requires of database plugin packages
* Fri Nov 15 2002 - adrian@suse.de
- update to 3.1.0 final version
- apply qwidget/hideChildren patch from Harri
- move libqui into qt3 main package
* Tue Nov 05 2002 - adrian@suse.de
- package also missing mkspecs/*
* Sun Nov 03 2002 - adrian@suse.de
- update to post 3.1 beta 2 snapshot (rc1 or rc2 ?)
- big rework of spec file, lots of workarounds are not needed anymore :)
- use experimental fontconfig/Xft2 package for > 8.1
- enable nis & cups support
* Mon Oct 21 2002 - adrian@suse.de
- swab %%ifarch <> %%if for old broken rpm's
* Mon Oct 21 2002 - adrian@suse.de
- remove rpath again, which came back with 3.0.5 update (#20929)
- disable qDebug lines in chinese patch (#20959)
* Wed Oct 09 2002 - adrian@suse.de
- implement a blacklist of executables which should not use
  the fast malloc implementation. (python and perl atm)
- disable fast-malloc for >8.1
- enable fast-malloc for x86_64
* Fri Sep 20 2002 - adrian@suse.de
- qclipboard fix from Lubos. Copy from old X applications works again
* Mon Sep 16 2002 - adrian@suse.de
- replace qt3-gb18030.diff patch with the new patch from
  James Su<suzhe@turbolinux.com.cn> for chinese handling (#19399)
- set XIMInputStyle for japanese input (#19387)
- change Requires: from /usr/include/png.h to libpng-devel, since
  connectivas apt can not handle this.
* Fri Aug 30 2002 - adrian@suse.de
- remove the dlopen patch again. It is not needed anymore and may
  cause crashes in rare cases.
* Wed Aug 28 2002 - adrian@suse.de
- apply fix from Lubos for DND in kcontrol
- apply fix to fix gb18030 encoding (from Turbolinux China)
* Mon Aug 26 2002 - adrian@suse.de
- do not use -plugindir configure option anymore. it caused the
  broken plugin support and remov $QTDIR/plugins again from qtrc
  qtrc is also a (noreplace) config file again
- s,getenv,__secure_getenv, as suggested by okir in plugin_path.dif
* Thu Aug 22 2002 - adrian@suse.de
- add patch to set the qt settings dir to a non-default dir
- add patches from qt 3.0.6 to fix asian copy&paste problems
- set explicit plugin pathes in qtrc and replace them during update
  (this is only a workaround until I know why qt does not use the
  compiled path)
* Thu Aug 22 2002 - adrian@suse.de
- remove dangeling symlink in /usr/lib/qt3/mkspecs/linux-g++
- add plugin path to global qtrc
* Tue Aug 20 2002 - adrian@suse.de
- fix #defines
* Tue Aug 20 2002 - adrian@suse.de
- redo the plugin path patch again, we use now a implicit
  subdirectory like "lib64", if needed.
- qtconfig is patched to hide/not write back those entries
* Fri Aug 16 2002 - coolo@suse.de
- fixing the patches
* Fri Aug 16 2002 - coolo@suse.de
- applying the plugin path patches, so they actually do something
  on lib64 platforms
* Fri Aug 09 2002 - adrian@suse.de
- fix plugin installation
* Thu Aug 08 2002 - adrian@suse.de
- use %%suse_version macro instead of /etc/SuSE-release
* Fri Aug 02 2002 - coolo@suse.de
- shut up if passed -noxim is passed and xim doesn't work
* Tue Jul 30 2002 - adrian@suse.de
- disable pre-3.0.6 patches again, until focus problem is located
- add zlib-devel to Requires for qt3-devel and SuSE 8.1
- add %%run_ldconfig
* Mon Jul 29 2002 - adrian@suse.de
- apply shut-up.dif
- clean up neededforbuild
* Fri Jul 26 2002 - adrian@suse.de
- port Lea's fast malloc implementation to libqt-mt
- designer sig11 fixes are not needed anymore
- use some patches from qt-rsync
* Fri Jul 19 2002 - adrian@suse.de
- fix designer sig11 really
- kick warnings about unsuccesfull locks for non-root users
* Thu Jul 18 2002 - adrian@suse.de
- don't strip when in debug mode
- fix typo in build script
* Wed Jul 17 2002 - adrian@suse.de
- update to 3.0.5 final
  * lots of bugfixes, see changes-3.0.5 for details
  * new, binary incompatible plugin system
- fix sig11 in designer
- clean spec file, drop all not applied patches
* Thu Jul 11 2002 - coolo@suse.de
- reenable work around for transparenent images while printing
  (PR16188)
* Wed Jul 10 2002 - adrian@suse.de
- update to near 3.0.5-final snapshot 3.0.5-snapshot-20020710
* Fri Jul 05 2002 - adrian@suse.de
- fix -g detection during build
* Fri Jun 21 2002 - adrian@suse.de
- fix use of $RPM_OPT_FLAGS (broken since 3.0.4 update)
- use -mminimal-toc on ppc64 to workaround compiler bug atm
- update to pre-3.0.5 snapshot-20020620
  * use buildkey for plugins instead of our own plugin hack
  * lots of fixes (exact description in changes-3.0.5)
- add lib64 to build key, if needed
- remove obsolete patches
* Thu Jun 06 2002 - adrian@suse.de
- rework plugin path patch for distributions > 8.0
  change name of "plugins" directory instead of filenames
  * plugins              -- lib32 and multithreaded plugins
  * plugins-non-mt       -- lib32 and without multithread support
  * plugins-lib64        -- lib64 and multithreaded plugins
  * plugins-lib64-non-mt -- lib64 and without multithread support
* Thu May 30 2002 - adrian@suse.de
- disable style-plugins again (too much qt apps have problems)
- disable Xft/Xrender support also for SuSE 7.3 (XFree 4.1.0)
  (no one reads READMES and too many people had crashes)
* Tue May 28 2002 - adrian@suse.de
- fix %%files
* Mon May 27 2002 - adrian@suse.de
- move qconfig, qmake to qt3-devel-tools
- build styles as plugin (except our default style: Platinum)
* Mon May 27 2002 - ro@suse.de
- lib64: fix qtmake.conf: QTLIBDIR also has the trailing "64"
- fix build-script for lib64 issues
* Mon May 20 2002 - adrian@suse.de
- fix build (disable odbc during qt3.spec build)
* Mon May 20 2002 - adrian@suse.de
- enable -tablet support if XFree86 provides it
- compile with -debug mode, if -g is set in enviroment
- fix postgres plugin build
- enable unixODBC support for newer distributions
- split sql drivers to extra packages
- fix dlopen call
* Tue May 14 2002 - adrian@suse.de
- fix lib64 patch to find OpenGL libs
* Thu May 09 2002 - adrian@suse.de
- apply fix for NetAccess focus, insertTitle(), QTextEdit and
  QToolbar from qt-copy
* Wed May 08 2002 - coolo@suse.de
- fixing patch section (grr)
* Tue May 07 2002 - coolo@suse.de
- adding fix for x86_64
* Tue May 07 2002 - coolo@suse.de
- update to qt 3.0.4 - remove fixes that do
  not apply any longer
- disable asian patches as they do not apply
  and I don't want to split them as I have no
  idea if the problems they try to fix are still
  there
* Wed Apr 24 2002 - coolo@suse.de
- fix lib64 support
- fix asian patch not to use arrays in unused arrays
  (triggers compiler problem)
* Sun Apr 21 2002 - adrian@suse.de
- improve image rendering speed (patch by Lubos)
* Tue Apr 09 2002 - adrian@suse.de
- apply patch from Lubos to fix alpha channel in QMovie
* Fri Apr 05 2002 - adrian@suse.de
- fixed print support in qpsprint
- binary compatibility fixes by Lars for gbk encoding
* Wed Apr 03 2002 - adrian@suse.de
- apply fixes/extensions for asian/utf-8-based languages
  (assembled by Lars and Brad, thank you, verifed by mfabian)
- 64bit fixes from Andreas Schwab (const char*) null pointer casts
* Sun Mar 24 2002 - adrian@suse.de
- apply qtabbar fix. Fixes crashes with kcm modules.
* Fri Mar 22 2002 - adrian@suse.de
- apply fix for sig11 in QCommonStyle (made by Waldo/Trolltech)
- apply fix to use libpng instead of libmng to load pngs (by coolo)
- add missing Requires for qt3-devel
* Wed Mar 20 2002 - adrian@suse.de
- verify 3.0.3 final version
- add check for null pointer returned by libXft
  (fix sig11 when no Xft fonts are configured)
- fix scrollbar behaviour for QT Platinum style
  (we are X Windows compatible instead of MS Windows)
* Tue Mar 19 2002 - adrian@suse.de
- update to version 3.0.3
  (rc6 tar ball from troll, I have to check after the qt-3.0.3 release,
  if this is really qt-3.0.3 final)
* Tue Mar 12 2002 - adrian@suse.de
- update to pre 3.0.3 snapshot (3.0.2.20020312)
* Mon Mar 04 2002 - adrian@suse.de
- more fixes
  * fix auto-resizing with QMovie
  * fix to correctly open submenues in right to left layout
  * reduce number of mallocs by sharing QColorGroup
  * Simplified static cleanup handlers.
  * smarter tooltip placement
- require "c++_compiler" for distributions newer than 7.3 only
* Sun Mar 03 2002 - adrian@suse.de
- apply some fixes from qt-copy
  * 8 bit color depth image format fixes
  * spinbox flicker fix
  * qrichtext dangeling pointers fix
  * qmenubar right to left layout mode cursor navigation fix
  * qcombobox avoid emitting highlighted twice on keyPressEvent
* Mon Feb 25 2002 - adrian@suse.de
- update to version 3.0.2
- remove compile fixes
- fix symlink for qtconfig
* Thu Feb 14 2002 - adrian@suse.de
- fix Requires for qt3-devel (add g++ compiler)
* Tue Feb 12 2002 - adrian@suse.de
- fix build for lib64/s390x
* Wed Feb 06 2002 - adrian@suse.de
- add links in /usr/bin for qtconfig
* Sun Feb 03 2002 - adrian@suse.de
- fix dumb-packager-bug (s,%%fi,%%endif,)
* Sun Feb 03 2002 - adrian@suse.de
- compile fix for postrgres module
- extend plugin patch to work on s390x and sparc64 to work with
  lib64 plugins
- add %%{_libdir}/qt3 symlink for s390x and sparc64
* Sat Feb 02 2002 - ro@suse.de
- cleaned changes file
* Fri Feb 01 2002 - adrian@suse.de
- update to current qt-copy snapshot (needed for KDE 3.0 beta 2)
- make threaded plugins as usual again
- non-threaded plugins needs now the not compatible -non-mt.so
  suffix
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 29 2002 - adrian@suse.de
- enable AA for SuSE > 7.3
* Tue Jan 29 2002 - schwab@suse.de
- Fix use of varargs on 64 bit platforms.
* Wed Jan 23 2002 - adrian@suse.de
- patch plugin loader to load only plugins with -mt.so
  extension
- link direct against libpng
- move qt3.conf file to susehelp
- TODO: make plugin loader path depending on %%_libdir
* Tue Jan 22 2002 - adrian@suse.de
- enable Xrender/Xft again for SuSE 7.3
  (I was misleaded by a broken libXft :/ )
- using qt plugin mechanism for picture format support
- enable XRender by default, but leave Xft disabled by default
  (kcontrol can switch Xft on for KDE applications now)
- add additional include path for postgres 7.2b5
* Mon Jan 21 2002 - adrian@suse.de
- disable Xft for all distributions until 7.3
  (XFree 4.2 is needed)
- sync QClipboard fix from qt-copy
* Tue Jan 08 2002 - adrian@suse.de
- fix Requires
- disable rpath
* Sun Jan 06 2002 - adrian@suse.de
- split non multithreaded librarys into qt3-non-mt package
- split developer tutorial into qt3-tutorial package
- use common config script to prepare build
- move libs to /usr/lib/qt3/%%{_libdir}
- remove .prl files from file list again
* Thu Jan 03 2002 - adrian@suse.de
- rename qt3-designer subpackage to qt3-devel-tools
- add default qtrc file
  * disable Xft support by default
  * use Platinum style
  * set qt plugin path
- move qtconfig to qt base package
- apply fixes from qt-copy/KDE-cvs
* Thu Dec 13 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS during compile
- add missing .prl files to file list
* Wed Dec 12 2001 - adrian@suse.de
- update to version 3.0.1
- build all extra tools
- fix default mkspec symlink
- include examples to devel-doc package
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Tue Oct 16 2001 - adrian@suse.de
- fix hardcoded install dir in libqt
  (no $QTDIR is needed at runtime anymore)
* Mon Oct 15 2001 - adrian@suse.de
- update to QT 3.0.0 final
  (the KDE 3 battle begins :)
* Fri Oct 05 2001 - adrian@suse.de
- add missing header files
- cleanup workarounds in spec file and add some new (but less ;)
* Mon Oct 01 2001 - adrian@suse.de
- update to beta6
* Tue Sep 18 2001 - adrian@suse.de
- update to beta5
* Wed Sep 05 2001 - adrian@suse.de
- okay, my last try ... cp -f has different return values on the
  distributions :(
* Tue Sep 04 2001 - adrian@suse.de
- disable postgres support for old distributions
  (now it also builds with SuSE 6.4)
* Mon Sep 03 2001 - adrian@suse.de
- fix broken links in include path
* Sun Sep 02 2001 - adrian@suse.de
- workaround bugs in Makefile to install all needed files
- remove -j4 behind make
* Tue Jun 19 2001 - adrian@suse.de
- split documentation from qt3-devel to qt3-doc
* Fri May 25 2001 - adrian@suse.de
- first try with QT 3.0.0 beta 1
  ( this package is far away from being perfect )
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Fri Apr 27 2001 - adrian@suse.de
- switch BuildIndex for SuSEhelp to false by default
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Apr 04 2001 - mfabian@suse.de
- add /etc/qt.fontguess (config file for Japanese and Korean
  fonts)
* Wed Mar 21 2001 - adrian@suse.de
- disable AA by default (still to many problems)
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to QT 2.3.0
  this makes qt-experimental obsolete
  (maybe still some problems with the nvidia driver, but the nv
  should work fine and the users are warned about nvidia since
  SuSE 7.1)
* Sun Mar 11 2001 - mfabian@suse.de
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  qt-static is an own package and no sub packages anymore
  fix/patch for qprintdialog is no longer needed
  add fix from Andreas Schwab for 64bit platforms
* Fri Jan 19 2001 - adrian@suse.de
- swap link and directory of html documentation. This makes
  trouble during update from older distributions
* Sat Jan 13 2001 - adrian@suse.de
- remove not necessary susehelp/htdig conf file
  remove file conflicts between qt-devel and qt-experimental
* Thu Jan 04 2001 - adrian@suse.de
- added qt-experimental,qt-japanese,qt-korean to Obsoletes:
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
* Mon Jan 01 2001 - adrian@suse.de
- spec file fix
* Sun Dec 31 2000 - adrian@suse.de
- added small tools to qt-devel (thanks Dirk)
* Fri Dec 22 2000 - adrian@suse.de
- remove asian patches from qt-experimental
* Wed Dec 20 2000 - adrian@suse.de
- fixe type in package name
* Wed Dec 20 2000 - adrian@suse.de
- move docu from qtlib2 to qt
* Sat Dec 16 2000 - adrian@suse.de
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
* Thu Dec 14 2000 - adrian@suse.de
- update to 2.2.3 and remove all the unneeded fix patches.
  added SuSE help conf files to qt-devel
* Tue Dec 12 2000 - schwab@suse.de
- Build with -O0 on ia64.
* Fri Dec 01 2000 - adrian@suse.de
- added rpath for uic/kdelibs and fixed uic fix ..
  to drunk to drink more
* Thu Nov 30 2000 - adrian@suse.de
- fixed dif
* Thu Nov 30 2000 - adrian@suse.de
- added fix for uic and qiconview
* Wed Nov 29 2000 - adrian@suse.de
- fixed build on ppc
* Tue Nov 21 2000 - ro@suse.de
- spec fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - adrian@suse.de
- new version 2.2.2
  added qpngio fix from waldo
* Fri Nov 10 2000 - adrian@suse.de
- fixed static config for <6.4 distris (no libmng)
* Tue Oct 31 2000 - adrian@suse.de
- split the qt package in
  qt
  qt-devel
  qt-extensions
  qt-man
  qt-static
  Added an ugly patch to get an uic with KDE support. The designer
  is broken in this package after this patch, so it is not packaged.
  The designer can be found in the qt-designer package
* Tue Oct 17 2000 - adrian@suse.de
- switch to -O0 for ppc
* Sat Oct 14 2000 - adrian@suse.de
- drop OpenGL support. Problems with Nvidia's binary only driver
- added fix from waldo (fixing memory leak in qpngio)
* Mon Oct 09 2000 - adrian@suse.de
- update the tar archiv (which contains a corrected classes.html file)
* Fri Oct 06 2000 - adrian@suse.de
- update to 2.2.1
  added static libs for libqt and libqt-mt
  added support for libmng
* Mon Oct 02 2000 - adrian@suse.de
- added missing header files
* Tue Sep 19 2000 - adrian@suse.de
- switch to -O0 for axp
* Fri Sep 08 2000 - schwab@suse.de
- Update ia64 configuration.
* Fri Sep 08 2000 - adrian@suse.de
- added missing libqt-mt.so
  clean up in filelist
  changed copyright/license to GPL
* Thu Sep 07 2000 - adrian@suse.de
- update to qt 2.2.0 final
* Tue Aug 22 2000 - adrian@suse.de
- removed uic/moc bindings to libGL and other
* Fri Aug 18 2000 - adrian@suse.de
- update to qt 2.2.0 beta 2
  spec file rewritten
* Tue Jul 04 2000 - adrian@suse.de
- moved links from /usr/lib/qt/lib to /usr/lib/
* Thu Jun 22 2000 - adrian@suse.de
- add libqt.so.2 links in /usr/lib/qt/lib
* Fri Jun 16 2000 - adrian@suse.de
- moved libqt.so back to qtlib2, after religios war.
* Fri Jun 16 2000 - adrian@suse.de
- enable gif support again
* Fri Jun 16 2000 - adrian@suse.de
- moved static libs to qtdevel2
* Tue Jun 06 2000 - schwab@suse.de
- Reduce opt level on ia64.
* Tue Jun 06 2000 - adrian@suse.de
- fixed dependencies
* Tue May 30 2000 - adrian@suse.de
- readded mesadev in neededforbuild
* Tue May 30 2000 - adrian@suse.de
- update to 2.1.1
* Wed May 24 2000 - adrian@suse.de
- added mesadev in neededforbuild
  removed gif support (license issue)
* Tue May 16 2000 - adrian@suse.de
- added -fno-exception (smaller binaries)
* Fri May 12 2000 - adrian@suse.de
- fixed link  /usr/doc/packages/html
  using %%{_defaultdocdir}
  using %%{_mandir}
* Fri Apr 14 2000 - adrian@suse.de
- update to 2.1.0 final
  new package for all man pages
* Thu Apr 06 2000 - adrian@suse.de
- update to 2.1.0 beta 4
* Thu Mar 30 2000 - adrian@suse.de
- update to qtlib 2.1.0 beta 3
  the destination directory is not longer /usr/lib/qt !!!
  QTDIR=/usr/lib/qt-2.1.0
  There is also a link /usr/lib/qt2 to /usr/lib/qt-2.1.0
* Thu Mar 02 2000 - ro@suse.de
- removed obsolete part of patch
* Thu Mar 02 2000 - ro@suse.de
- configure doesn't know --mandir ... :(
* Thu Mar 02 2000 - ro@suse.de
- work-around for prepare-spec buglet
* Wed Mar 01 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 29 2000 - kettner@suse.de
- Apply patch for qfont_x11.cpp from warwick@warwick-bippy
* Mon Feb 28 2000 - kettner@suse.de
- increased font cache from 4MB to 9MB in order to
  speed up UNICODE fonts for YaST2
* Thu Nov 11 1999 - uli@suse.de
- removed netscape from neededforbuild
* Tue Nov 09 1999 - kettner@suse.de
- Removed mesa from Requires, as it is not required
* Fri Oct 22 1999 - kettner@suse.de
- Patch extensions/imageio/src/Makefile.in in order to get
  shared library of libimgio again. Worked in 2.00.
* Mon Oct 11 1999 - kettner@suse.de
- New version 2.0.2
* Tue Sep 28 1999 - uli@suse.de
- switched from Motif to lesstif
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Tue Jul 13 1999 - kettner@suse.de
- New version 2.00
* Mon Jul 12 1999 - kettner@suse.de
- New version 2.00
